<?php


namespace Drp\SimpleCms\Contracts;

/**
 * Interface Notifier
 * @package Drp\SimpleCms
 */
interface Notifier
{
    /**
     * Flash an information message.
     *
     * @param  string $message
     * @return $this
     */
    public function info($message);

    /**
     * Flash a success message.
     *
     * @param  string $message
     * @return $this
     */
    public function success($message);

    /**
     * Flash an error message.
     *
     * @param  string $message
     * @return $this
     */
    public function error($message);

    /**
     * Flash a warning message.
     *
     * @param  string $message
     * @return $this
     */
    public function warning($message);
}
