<?php

namespace Drp\SimpleCms\Test\Support\Helpers;

use Exception;

/**
 * Class Handler
 * @package Drp\SimpleCms\Test\Helpers
 */
class Handler extends \Orchestra\Testbench\Exceptions\Handler
{
    /**
     * @var bool
     */
    protected $disabled;


    /**
     * Handler constructor.
     * @param bool $disabled
     */
    public function __construct($disabled = false)
    {
        return $this->disabled = $disabled;
    }

    /**
     * Render an exception into an HTTP response.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  \Exception $e
     *
     * @return \Illuminate\Http\Response
     */
    public function render($request, Exception $e)
    {
        if ($this->disabled) {
            throw $e;
        }

        return parent::render($request, $e);
    }

    /**
     * Report or log an exception.
     *
     * This is a great spot to send exceptions to Sentry, Bugsnag, etc.
     *
     * @param  \Exception $e
     *
     * @return void
     */
    public function report(Exception $e)
    {
        if ($this->disabled) {
            throw $e;
        }

        parent::report($e);
    }

}
