<?php

namespace Drp\SimpleCms\Test\Support\Helpers;


use PHPUnit_Framework_ExpectationFailedException;

trait InteractsWithAlerts
{

    public function seeInAlert($level, $message = null)
    {

        try {
            $this->seeInElement('.alert', ucfirst($level));

            if (!is_null($message)) {
                $this->seeInElement('.alert', $message);
            }

        } catch (PHPUnit_Framework_ExpectationFailedException $e) {


            //Sometimes we are using a POST request and are not re-directed
            //to to the page. This checks the correct flash message is set
            $this->seeInSession('flash_notification.message', $message);
            $this->seeInSession('flash_notification.level', $level == "error" ? 'danger' :  $level);
        }

        return $this;

    }

    public function seeSuccessAlert($message = null)
    {
        return $this->seeInAlert('success', $message);
    }

    public function seeErrorAlert($message = null)
    {
        return $this->seeInAlert('error', $message);
    }

    public function seeValidationAlert()
    {
        return $this->seeInAlert('error', trans('validation.error'));
    }

    public function seeInfoAlert($message = null)
    {
        return $this->seeInAlert('info', $message);
    }

    public function seeWarningAlert($message = null)
    {
        return $this->seeInAlert('warning', $message);
    }
}
